#pragma once

#include "sdkexport.h"
#include <string>

namespace mpl {

class MPL_API ConfData {
public:
    int cf1 = 0;
    int cf4 = 0;
    int cf6 = 0;
    int cfx = 0;

public:
    ConfData() = default;
    ~ConfData() = default;
    ConfData(const ConfData&) = default;
    ConfData& operator=(const ConfData&) = default;
    ConfData(ConfData&&) = default;
    ConfData& operator=(ConfData&&) = default;

    ConfData(int cf1, int cf4, int cf6, int cfx);

    bool operator==(const ConfData& rhs) const;

    bool isAdjacent(const ConfData& rhs) const;

    std::string toString() const;
};

}
